* {
  box-sizing: border-box;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #eee;
  flex-direction: column;
}

.app {
  border: 1px solid #ccc;
  background-color: #fff;
  border-radius: 5px;
  width: 800px;
  height: 600px;
}

.Nodes {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  flex-wrap: wrap;
}

.Node {
  width: 140px;
  min-height: 150px;
  padding: 12px;
  margin: 8px;
  text-align: center;
  display: flex;
  flex-direction: column;
  word-break: keep-all;
}

.Node:hover {
  cursor: pointer;
}

.Breadcrumb {
  height: 62px;
  padding: 16px;
  border-bottom: 1px solid #ccc;
  display: flex;
  flex-direction: row;
}

.Breadcrumb > div {
  padding: 4px;
}
.Breadcrumb > div:hover {
  cursor: pointer;
}

.Breadcrumb > div::after {
  content: " -";
}

.Breadcrumb > div:last-child::after {
  content: "";
}

.Modal {
  z-index: 1;
  width: 100%;
  height: 100%;
  position: fixed;
  left: 0;
  top: 0;
  background-color: rgba(0, 0, 0, 0.3);
}

.Modal > div {
  position: fixed;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
